/*******************************************************************************
*
* test program to demonstrate debug tools
*
*******************************************************************************/

/*------------------------------------------------------------------------------
| global include files 
------------------------------------------------------------------------------*/
#include <stdio.h>
#include <stdlib.h>
#include <omp.h>

int main(int argc,char *argv[])
{
  int threadID, nThreads;
  
  #pragma omp parallel
  {
    threadID = omp_get_thread_num();
    printf("Hello World (%d)!\n", threadID);
    #pragma omp barrier
    if ( threadID == 0 ) {
      nThreads = omp_get_num_threads();
      printf("Using %d threads\n",nThreads);
    }
  }

  return 0;
}
